## ros-kinetic-pilz-msgs 0.3.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pilz_msgs)

find_package(catkin REQUIRED COMPONENTS
    message_generation
    moveit_msgs)

## Generate messages in the 'msg' folder
 add_message_files(
   FILES
   MotionSequenceItem.msg
   MotionSequenceRequest.msg
 )

 #Generate services in the 'srv' folder
 add_service_files(
   FILES
   GetMotionSequence.srv
 )

# Generate actions in the 'action' folder
 add_action_files(
   FILES
   MoveGroupSequence.action
 )

## Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES moveit_msgs)

catkin_package(CATKIN_DEPENDS message_runtime moveit_msgs)

=== debian/changelog ===
ros-kinetic-pilz-msgs (0.3.10-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-msgs (0.3.9-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 04 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-msgs (0.3.8-1xenial) xenial; urgency=high

  * Remove non-ascii symbol from msg/srv/action causing trouble with genpy/python rosbag api
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 01 Jul 2019 22:00:00 -0000

ros-kinetic-pilz-msgs (0.3.7-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 08 May 2019 22:00:00 -0000

ros-kinetic-pilz-msgs (0.3.6-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 25 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-msgs (0.3.5-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 05 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-msgs (0.3.4-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 04 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-msgs (0.3.3-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 24 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-msgs (0.3.2-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-msgs (0.3.1-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Sun, 16 Dec 2018 23:00:00 -0000

ros-kinetic-pilz-msgs (0.3.0-1xenial) xenial; urgency=high

  * Renaming blend -> sequence

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 27 Nov 2018 23:00:00 -0000

ros-kinetic-pilz-msgs (0.1.1-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 24 Sep 2018 22:00:00 -0000

ros-kinetic-pilz-msgs (0.1.0-1xenial) xenial; urgency=high

  * Added msg definition for blend request and response
  * Contributors: Pilz GmbH and Co. KG

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 13 Sep 2018 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pilz-msgs
Section: misc
Priority: extra
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-message-generation, ros-kinetic-moveit-msgs
Homepage: https://wiki.ros.org/pilz_msgs
Standards-Version: 3.9.2

Package: ros-kinetic-pilz-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-message-runtime, ros-kinetic-moveit-msgs
Description: The pilz_msgs package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pilz-msgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
